<template>
  <div class="edit">
    <div class="settings-bar">
      <v-btn icon @click="leftBar.show = true">
        <v-icon>mdi-tune</v-icon>
      </v-btn>
    </div>
    <transition name="anim-left-bar">
      <div v-if="leftBar.show" class="left-bar">
        <v-btn
          class="close-left-bar"
          icon
          @click="leftBar.show = false"
        >
          <v-icon>mdi-close-circle-outline</v-icon>
        </v-btn>
        <div class="__title">Раменское</div>
        <div class="user-added">Добавлен: <span>13.01.2021 13:15</span></div>
        <div class="mt-4">
          <div>Описание: <span class="color-red ml-2">не указано</span></div>
          <div>Показ в списке: <span class="color-blue ml-2">статьи</span></div>
          <label class="data-element">
            <p>Город</p>
            <input placeholder="Раменское">
          </label>
          <div class="preview">
            <div class="preview-title">Превью<span>(видно на странице всех статей и в блоке с ними)</span></div>
            <label class="content">
              <p>
                <img src="../assets/img/general/edit-download.svg" alt="">
                Чтобы добавить изображение, нажмите или перетяните файл в рамку
              </p>
              <input hidden type="file">
            </label>
          </div>
          <div class="preview">
            <div class="preview-title">Фото<span>(картинка видна на странице записи. Картинка может быть такой же, как превью. Не обязательный блок)</span></div>
            <label class="content">
              <p>
                <img src="../assets/img/general/edit-download.svg" alt="">
                Чтобы добавить изображение, нажмите или перетяните файл в рамку
              </p>
              <input hidden type="file">
            </label>
          </div>
        </div>
      </div>
    </transition>
    <div class="right-bar"></div>
  </div>
</template>

<script>
export default {
  name: 'Edit',
  data () {
    return {
      leftBar: {
        show: null
      },
      rightBar: {}
    }
  },
  created () {
    this.leftBar.show = window.innerWidth > 1005
  }
}
</script>

<style scoped lang="scss">
  .edit {
    height: 100vh;
    max-height: 100vh;
    overflow: hidden;
    display: flex;
    padding: 0!important;
    @media (max-width: 1005px) {
      flex-direction: column;
      position: relative;
    }
    .settings-bar {
      display: none;
      @media (max-width: 1005px) {
        display: block;
      }
    }
    .left-bar {
      min-width: 340px;
      max-width: 340px;
      background-color: #E6F0FF;
      height: 100%;
      padding: 20px 16px 0 16px;
      @media (max-width: 1005px) {
        position: absolute;
        box-shadow: 10px 0 15px -7px #d2d2b3;
      }
      .close-left-bar {
        position: absolute;
        right: 10px;
        top: 10px
      }
      .__title {
        font-weight: bold;
        font-size: 17px;
        line-height: 23px;
        color: rgba(0, 0, 0, 0.75);
      }
      .user-added {
        color: rgba(0, 0, 0, 0.3);
        span {
          color: rgba(0, 0, 0, 0.75);
        }
      }
      .data-element {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin: 4px 0;
        cursor: pointer;
        p {
          margin: 0;
        }
        input {
          background: #FFFFFF;
          border: 1px solid #CCD4DD;
          box-sizing: border-box;
          border-radius: 4px;
          padding: 13px 5px 13px 12px;
          max-width: 100%;
          height: 32px;
          width: 200px;
        }
      }
    }
    .right-bar {
      width: 100%;
      overflow-y: auto;
      min-height: 100%;
      padding: 20px 16px 150px 16px;
      position: relative;
    }
    .preview {
      display: flex;
      margin-bottom: 8px;
      .preview-title {
        font-size: 12px;
        line-height: 16px;
        width: 100px;
        max-width: 100px;
        margin-right: 8px;
        span {
          display: block;
          font-size: 10px;
          line-height: 14px;
          color: rgba(0, 0, 0, 0.3);
        }
      }
      .content {
        background: #FFFFFF;
        border: 1px solid #CCD4DD;
        box-sizing: border-box;
        border-radius: 4px;
        width: 200px;
        height: 200px;
        padding: 20px;
        transition: all 0.3s;
        &:hover {
          border: 1px solid #3183FF;
          cursor: pointer;
        }
        p {
          margin-top: 20px;
          display: flex;
          flex-direction: column;
          align-items: center;
          text-align: center;
          font-size: 12px;
          line-height: 16px;
          color: rgba(0, 0, 0, 0.3);
          img {
            max-width: 50px;
            margin-bottom: 10px;
          }
        }
      }
    }
  }
  .anim-left-bar-enter-active {
    transition: all .3s;
    transform: translateX(-320px);
  }
  .anim-left-bar-enter-to {
    transform: translateX(0px);
  }
  .anim-left-bar-leave-active {
    transition: all .3s;
  }
  .anim-left-bar-leave-to {
    transform: translateX(-330px);
  }
</style>
